package com.muyu.authentication.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.domain.Enterprise;

/**
 * 企业Mapper接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface EnterpriseMapper extends BaseMapper<Enterprise> {
    /**
     * 查询企业列表
     *
     * @param enterprise 企业
     * @return 企业集合
     */
    public List<Enterprise> selectEnterpriseList(Enterprise enterprise);


    /**
     * 批量删除企业
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEnterpriseByIds(Long[] ids);
}
